OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph::local::tag_tree Struct Reference

## Public Member Functions
void | init (ui8 *buf, ui32 *lev_idx, ui32 num_levels, size s, int init_val)
ui8 * | get (ui32 x, ui32 y, ui32 lev)

## Public Attributes
ui32 | width
ui32 | height
ui32 | num_levels
ui8 * | levs [16]

## Detailed Description

Definition at line 58 of file ojph_precinct.cpp.

## Member Function Documentation

## ◆ get()

ui8 * ojph::local::tag_tree::get | ( | ui32 | x,
|  | ui32 | y,
|  | ui32 | lev )
| inline

Definition at line 77 of file ojph_precinct.cpp.

References levs, and width.

Referenced by ojph::local::precinct::parse(), and ojph::local::precinct::prepare_precinct().

## ◆ init()

void ojph::local::tag_tree::init | ( | ui8 * | buf,
|  | ui32 * | lev_idx,
|  | ui32 | num_levels,
|  | size | s,
|  | int | init_val )
| inline

Definition at line 60 of file ojph_precinct.cpp.

References ojph::size::h, height, levs, num_levels, ojph::size::w, and width.

Referenced by ojph::local::precinct::parse(), and ojph::local::precinct::prepare_precinct().

## Member Data Documentation

## ◆ height

ui32 ojph::local::tag_tree::height

Definition at line 82 of file ojph_precinct.cpp.

Referenced by init().

## ◆ levs

ui8* ojph::local::tag_tree::levs[16]

Definition at line 83 of file ojph_precinct.cpp.

Referenced by get(), and init().

## ◆ num_levels

ui32 ojph::local::tag_tree::num_levels

Definition at line 82 of file ojph_precinct.cpp.

Referenced by init().

## ◆ width

ui32 ojph::local::tag_tree::width

Definition at line 82 of file ojph_precinct.cpp.

Referenced by get(), and init().

The documentation for this struct was generated from the following file:

- /build/openjph/src/OpenJPH/src/core/codestream/ojph_precinct.cpp